import request from '@/utils/request'

// 查询动态图片列表
export function listDynamicImage(query) {
  return request({
    url: '/xq/dynamicImage/list',
    method: 'get',
    params: query
  })
}

// 查询动态图片详细
export function getDynamicImage(id) {
  return request({
    url: '/xq/dynamicImage/' + id,
    method: 'get'
  })
}

// 新增动态图片
export function addDynamicImage(data) {
  return request({
    url: '/xq/dynamicImage',
    method: 'post',
    data: data
  })
}

// 修改动态图片
export function updateDynamicImage(data) {
  return request({
    url: '/xq/dynamicImage',
    method: 'put',
    data: data
  })
}

// 删除动态图片
export function delDynamicImage(id) {
  return request({
    url: '/xq/dynamicImage/' + id,
    method: 'delete'
  })
}
